Dynamic Languages (Node.JS, Python, PHP, C/C++, Webserver Agent)

cancel
Showing results for 
Search instead for 
Did you mean: 

Can't make it work with Parse-server

Highlighted
Creator

Can't make it work with Parse-server

I need to set AppDynamics with parse-server (https://github.com/parse-community/parse-server), 

 

but got this error 

 

Appdynamics agent cannot be initialized due to Error: Cannot find module './appd_libagent'

 

 

I am confused about the installation statement, such as: 

===

For every Node.js application that you are instrumenting, insert the following call in the application source code at the first line of the main module (such as the server.js file), before any other require statements:

===

 

So what's the first line of the main module?  which file should I add the code in it?

WechatIMG10.png

 

I committed the codes in the fork , you can try and duplicate this problem :

 

git clone git@github.com:ozbillwang/parse-server.git
cd parse-server
git checkout feature/apm
docker-compose build
docker-compose up -d
docker-compose logs -f

 

 

 

Tags (2)
Can't make it work with Parse-server